@echo off

SET INST_PATH=%~dp0
SET PR_PATH=%ProgramFiles%\kros-gate
SET PR_SERVICE_NAME=kros-gate
SET PR_JAR=kros-gate.jar
SET START_CLASS=kros.gate.KrosGate
SET START_METHOD=main
SET STOP_CLASS=kros.gate.KrosGate
SET STOP_METHOD=stop
SET STOP_PARAMS=0
SET JVM_OPTIONS=-Dapp.home=%PR_PATH%

echo Установка KrosGate...

echo Копирование файлов в "%PR_PATH%...
rd /s /q "%PR_PATH%" > nul 2>nul
md "%PR_PATH%"
md "%PR_PATH%\conf"
REM md "%PR_PATH%\lib"
copy "%INST_PATH%conf\*.*" "%PR_PATH%\conf" > nul
REM copy "%INST_PATH%lib\*.*" "%PR_PATH%\lib" > nul
md "%PR_PATH%/logs"
copy "%INST_PATH%*.jar" "%PR_PATH%" > nul
copy "%INST_PATH%*.exe" "%PR_PATH%" > nul
copy "%INST_PATH%*.key" "%PR_PATH%" > nul

echo Копирование управляющего приложения в %windir%\system32...
copy "%INST_PATH%kros-gate.cmd" "%windir%\system32" > nul

echo Установка сервиса %PR_SERVICE_NAME%...
"%PR_PATH%\prunsrv.exe" //DS//%PR_SERVICE_NAME% > nul 2> nul
"%PR_PATH%\prunsrv.exe" //IS//%PR_SERVICE_NAME% --Install="%PR_PATH%\prunsrv.exe" --Jvm=auto --Startup=auto --StartMode=jvm --StartClass=%START_CLASS% --StartMethod=%START_METHOD% --StopMode=jvm --StopClass=%STOP_CLASS% --StopMethod=%STOP_METHOD% ++StopParams=%STOP_PARAMS% --Classpath="%PR_PATH%\%PR_JAR%" --DisplayName="%PR_SERVICE_NAME%" ++JvmOptions=%JVM_OPTIONS%

echo Установка сервиса %PR_SERVICE_NAME% завершена.
echo Используйте команду :
echo    %PR_SERVICE_NAME% register для регистрации лицензии
echo    %PR_SERVICE_NAME% start для запуска сервиса
echo    %PR_SERVICE_NAME% stop для остановки сервиса

pause
exit
